Page MenuHomePhabricator

Phase 1 repository migrations to Differential (goal - end of June 2016)
Closed, ResolvedPublic

Description

See https://www.mediawiki.org/wiki/Wikimedia_Release_Engineering_Team/Project/Differential_Migration for more context and timeline.

Goal: The goal is to get about 1 project per WMF "team" and a couple "community-owned" projects.

Purpose: To get people using Differential at a slower pace of adoption in the beginning instead of all at once. This will allow us to help them and respond to issues more quickly/effectively and increase the number of people who can help others when the time comes (eg: their other project collaborators).

Repositories:

  • mediawiki-vagrant - rMWVA
  • wikimedia-wikimania-scholarships - rWWSC
  • wikimedia-iegreview - rWIEG

Projects already using Differential:

scap - rMSCARelEng
Thumbor - rTHMBREXTPerformance (Gilles)
MediaWiki extension 3d - rETHRPerformance (Gilles)
3d2png - rTDTPPerformance (Gilles)
WikimediaUI - rWMUIUI (Volker)
...

Event Timeline

greg created this task.Mar 18 2016, 9:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 18 2016, 9:45 PM
greg updated the task description. (Show Details)Mar 24 2016, 12:08 AM
greg updated the task description. (Show Details)Mar 28 2016, 5:43 PM
greg updated the task description. (Show Details)Mar 28 2016, 6:53 PM
greg added a subscriber: Paladox.

Creating sub-tasks for specific repos in this phase as there won't be a ton of them and tracking the individually will help. For the bigger phases we probably won't have a task per repo (but might for some of the more complicated ones).

greg renamed this task from Goal: Phase 1 repository migrations to Phase 1 repository migrations to Differential (goal - end of June 2016).Mar 31 2016, 11:47 PM
greg updated the task description. (Show Details)Apr 8 2016, 3:07 PM
greg updated the task description. (Show Details)Apr 8 2016, 3:22 PM
Luke081515 added a subscriber: Luke081515.
greg updated the task description. (Show Details)Apr 11 2016, 3:44 PM
Ricordisamoa added a subscriber: Ricordisamoa.
greg updated the task description. (Show Details)May 26 2016, 10:50 PM
greg updated the task description. (Show Details)Jun 30 2016, 8:04 PM
greg closed this task as Resolved.Jul 7 2016, 9:16 PM
greg claimed this task.

Done, though we didn't get to migrating MW-V.

Restricted Application added a project: User-greg. · View Herald TranscriptJul 7 2016, 9:16 PM
greg reassigned this task from greg to mmodell.Jul 18 2016, 5:34 PM
greg removed a project: User-greg.